#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# Note: Also called from Debian
# Arguments:

# RPM
# $1 == 1 - install package
# $1 == 2 - upgrade package

# DEB
# $1 == configure - RPM post/posttrans

# "wpos POST TRANS STARTED"


rhel=$2
solo_marker=$3
_clshare=$4
clwpos_redis_extension_installer=$5
clwpos_cleaner_cron=$6
clwpos_collect_information_cron=$7
add_clwpos_crons=$8
_clshare_wpos=${9}


# Setup Cloudlinux WPOS daemon
"$_clshare_wpos"/wpos_daemon_setup.py

if [[ -f "$solo_marker" ]]; then
    nohup /usr/sbin/enable_redis_for_panel_php &> /dev/null &
    nohup /usr/share/cloudlinux/wpos/enable_redis_for_alt_php.py &> /dev/null &
    CLSHARE=$_clshare CLWPOS_REDIS_EXTENSION_INSTALLER=$clwpos_redis_extension_installer CLWPOS_CLEANER_CRON=$clwpos_cleaner_cron CLWPOS_COLLECT_INFORMATION_CRON=$clwpos_collect_information_cron /bin/bash "$add_clwpos_crons"
fi

# regenerate cron files to update their contents if needed
/usr/bin/cloudlinux-awp-admin sync-cron-files &> /dev/null

# Regenerate info.json files
nohup /usr/sbin/clwpos_collect_information.py  &> /dev/null &

# Restart WPOS daemon
if [[ ! -f $solo_marker ]]; then
  /sbin/service clwpos_monitoring restart &> /dev/null
else
  /sbin/service clwpos_monitoring try-restart
fi

# Install WPOS hooks
"$_clshare_wpos"/wpos_hooks.py --install > /dev/null

# Add to cagefs:
# - clwpos-user utility
# - file 'controlpanelname' to allow user to detect control panel
if [ -f /usr/sbin/cagefsctl ]; then
    echo -e "/usr/bin/clwpos-user\n/var/cache/controlpanelname" | /usr/sbin/cagefsctl --wait-lock --update-list &> /dev/null &
fi

# only if this is an update versions before_rename -> with_rename
# /var/clwpos/admin/awp_migration_needed.v1 will be removed in code after manual admin click
# migration is not needed for those who did enable anything yet
if [[ -f /var/clwpos/admin/awp_migration.v1 ]]; then
    if cloudlinux-awp-admin get-options | grep "\"show_icon\": true" &> /dev/null; then
        touch /var/clwpos/admin/awp_migration_needed.v1
    fi
    rm -f /var/clwpos/admin/awp_migration.v1 > /dev/null
fi

# "wpos POST TRANS FINISHED"
